summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xmakesrc.sh31
-rw-r--r--php-phpmailer7.spec11
2 files changed, 21 insertions, 21 deletions
diff --git a/makesrc.sh b/makesrc.sh
index a5cf904..7df0f8a 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,25 +4,24 @@ NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Commit=$COMMIT\n"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
-echo "Cloning..."
-git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ echo "Cloning..."
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch v$VERSION $PROJECT-$VERSION || exit 1
-echo "Getting commit..."
-pushd $PROJECT-$COMMIT
-git checkout $COMMIT
-cp composer.json ../composer.json
-popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
-echo "Archiving..."
-tar czf $NAME-$VERSION-$SHORT.tgz --exclude .git $PROJECT-$COMMIT
+ echo "Archiving..."
+ tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
-echo "Cleaning..."
-rm -rf $PROJECT-$COMMIT
-
-echo "Done."
+ echo "Cleaning..."
+ rm -rf $PROJECT-$VERSION
+ echo "Done."
+fi
diff --git a/php-phpmailer7.spec b/php-phpmailer7.spec
index 781ea41..5da7724 100644
--- a/php-phpmailer7.spec
+++ b/php-phpmailer7.spec
@@ -7,8 +7,6 @@
# Please preserve changelog entries
#
# Github
-%global gh_commit ebf1655bd5b99b3f97e1a3ec0a69e5f4cd7ea088
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner PHPMailer
%global gh_project PHPMailer
# Packagist
@@ -23,14 +21,14 @@
%global php_home %{_datadir}/php
Name: php-%{pk_project}%{major}
-Version: 7.0.2
+Version: 7.1.0
Release: 1%{?dist}
Summary: Full-featured email creation and transfer class for PHP
License: LGPL-2.1-only
URL: https://github.com/%{gh_owner}/%{gh_project}
# git snapshot to get upstream test suite
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
# Simple unit test for packaging
Source2: PHPMailerRpmTest.php
@@ -121,7 +119,7 @@ Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%patch -P0 -p1 -b .rpm
find src -name \*.rpm -delete
@@ -204,6 +202,9 @@ exit $ret
%changelog
+* Sat May 16 2026 Remi Collet <remi@remirepo.net> - 7.1.0-1
+- update to 7.1.0
+
* Mon Jan 12 2026 Remi Collet <remi@remirepo.net> - 7.0.2-1
- update to 7.0.2